using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

using uint64_t = System.UInt64;

namespace sharpallegro5
{
    /* altime.h */
    public partial class AllegroApi
    {
        /* Type: ALLEGRO_TIMEOUT
         */
        public struct ALLEGRO_TIMEOUT
        {
            uint64_t __pad1__;
            uint64_t __pad2__;
        }



        [DllImport(allegroDllName, CallingConvention = CallingConvention.Cdecl)]
        public static extern double al_get_time();
        [DllImport(allegroDllName, CallingConvention = CallingConvention.Cdecl)]
        public static extern void al_rest(double seconds);
        [DllImport(allegroDllName, CallingConvention = CallingConvention.Cdecl)]
        public static extern void al_init_timeout(ref ALLEGRO_TIMEOUT timeout, double seconds);
    }
}
